package com.iamberry.wechat.face.giftCard;

import java.util.List;

import com.iamberry.wechat.core.entity.giftCard.AgentMachine;

/**
 * 兑物流信息Service 接口
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	LJK
 * @date	2017年2月16日
 */
public interface AgentMachineService {

	/**
	 * 新增物流信息
	 * @param agentMachine
	 * @return
	 */
	public Integer insertAgentMachine(AgentMachine agentMachine);
	/**
	 * 根据物流记录ID查询物流信息（代理商赠送机器记录）
	 * @param agentMachineId
	 * @return
	 */
	public AgentMachine selectAgentMachine(Integer agentMachineId);
	
	/**
	 * 修改物流信息状态
	 * @param agentMachine
	 * @return
	 */
	public Integer updateAgentMachine(AgentMachine agentMachine);
	
	/**
	 * 查询所有物流信息（代理商赠送机器记录）
	 * @param agentMachine
	 * @return
	 */
	public List<AgentMachine> selectAllAgentMachine(AgentMachine agentMachine); 

	/**
	 * 查询所有物流信息（代理商赠送机器记录）总数
	 * @param agentMachine
	 * @return
	 */
	public Integer selectAllAgentMachineCount(AgentMachine agentMachine);

	/**
	 * 添加代理商物流信息
	 * 2017年3月2日17:17:18
	 * @author LJK
	 * @return 当前代理商物流记录id
	 */
	public String addAgentLogisticsMachine(AgentMachine agentMachine);
	
	/**
	 * 根据openid查询所有物流信息（代理商赠送机器记录）
	 * @param agentMachine
	 * @return
	 */
	public List<AgentMachine> selectAllAgentMachineById(AgentMachine agentMachine); 
	
	/**
	 * 根据openid查询所有物流信息（代理商赠送机器记录）总数
	 * @param agentMachine
	 * @return
	 */
	public Integer selectAllAgentMachineByIdCount(AgentMachine agentMachine);

	/**
	 * 根据物流记录ID与openid查询物流信息（确认该机器是否属于当前用户）
	 * @param agentMachine
	 * @return
	 */
	Integer selectAgentMachineByOpenId(AgentMachine agentMachine);
}
